

$nargs = @ARGV;

$file = $ARGV[0];

# shift minutes forwards (for separated log files)
$MStart = ($nargs > 1) ? $ARGV[1] : 0;

open FILE, "< $file";

@stroke_bins;
@otime_bins;

while(<FILE>) {
    $line = $_;
    $line =~ /\[(\d\d):(\d\d):(\d\d)\] (.*)/;
    $H = $1; $M = $2; $S = $3;
    $M = $M + $MStart;
    $msg = $4;

    if ($msg =~ /EndStroke \(time (\d+\.\d+)/) {
	$stroke_bins[$M]++;
	$otime_bins[$M] += $1;
    } 
}


$nbins = @stroke_bins;
for ($i = $MStart; $i < $nbins; $i++ ) {
    if ($stroke_bins[$i] == 0) {
	print "$i 0 0\n";
    } else {
	print "$i $stroke_bins[$i] $otime_bins[$i]\n";
    }
}


    

