

$nargs = @ARGV;

$file = $ARGV[0];

# shift minutes forwards (for separated log files)
$MStart = ($nargs > 1) ? $ARGV[1] : 0;

open FILE, "< $file";

@line_bins;
@curve_bins;

while(<FILE>) {
    $line = $_;
    $line =~ /\[(\d\d):(\d\d):(\d\d)\] (.*)/;
    $H = $1; $M = $2; $S = $3;
    $M = $M + $MStart;
    $msg = $4;

    if ($msg =~ /Undo/) {
	$line_bins[$M]++;
    } 
}


$nbins = @line_bins;
for ($i = $MStart; $i < $nbins; $i++ ) {
    if ($line_bins[$i] == 0) {
	print "$i 0\n";
    } else {
	print "$i $line_bins[$i]\n";
    }
}


    

